using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YBDevice.Entity
{
    /// <summary>
    /// 丽秀体质提交的问卷
    /// </summary>
    [SugarTable("YB_LXBodyAns", TableDescription = "丽秀体质提交的问卷", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_LXBodyAns
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }
        /// <summary>
        /// 得分,原始分,各个条目分值相加
        /// </summary>
        [SugarColumn(ColumnDescription = "得分")]
        public int Score { get; set; }

        /// <summary>
        /// 转化分,[(原始分-条目数)/(条目数×4)]×100
        /// </summary>
        [SugarColumn(ColumnDescription = "转化分")]
        public int RealScore { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "用户ID", IndexGroupNameList = new string[] { "index_userid" })]
        public int UserId { get; set; }
        /// <summary>
        /// 家庭成员ID
        /// </summary>
        [SugarColumn(ColumnDescription = "家庭成员ID")]
        public int FamilyId { get; set; }
        /// <summary>
        /// 体质ID
        /// </summary>
        [SugarColumn(ColumnDescription = "体质ID")]
        public Guid TypeId { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
